# TSSetApplicationContext

Sets an optional user-defined context for the timesteppers.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSetApplicationContext(TS ts,void *usrP)

Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| usrP | - optional user context

### Keywords

TS, timestep, set, application, context

### See Also

TSGetApplicationContext()

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages